# getShippingMethodsForShipment - Gets the applicable shipping methods for a certain shipment of a basket.

Gets the applicable shipping methods for a certain shipment of a basket.

Endpoint: GET /baskets/{basketId}/shipments/{shipmentId}/shipping-methods

## Path parameters:

  - `basketId` (string, required)
    The ID of the basket to be modified.

  - `shipmentId` (string, required)
    The ID of the shipment to be modified.

## Query parameters:

  - `siteId` (string, required)
    The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.

## Response 200 fields (application/json):

  - `applicableShippingMethods` (array)
    A list of shipping methods applicable for the shipment.

  - `applicableShippingMethods.description` (string)
    Description of the shipping method.

  - `applicableShippingMethods.id` (string)
    Identifier of the shipping method.

  - `applicableShippingMethods.name` (string)
    Name of the shipping method.

  - `applicableShippingMethods.price` (number)
    Cost associated with the shipping method.

  - `defaultShippingMethodId` (string)
    The ID of the default shipping method.

## Response 400 fields (application/json):

  - `detail` (string)
    Error detail.
    Example: "The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications"

  - `status` (string)
    Error status
    Example: "400"

  - `title` (string)
    Error title.
    Example: "Bad Request"

  - `type` (string)
    Error type.
    Example: "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/bad-request"


